Module java.base
Package javax.crac

# Class Core

java.lang.Object
javax.crac.Core

public class Core extends Object
The coordination service.

## Method Summary

Modifier and Type
Method
Description
`static void`
`checkpointRestore()`
Requests checkpoint and returns upon a successful restore.
`static Context<Resource>`
`getGlobalContext()`
Gets the global `Context` for checkpoint/restore notifications.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getGlobalContext

public static Context<Resource> getGlobalContext()
Gets the global `Context` for checkpoint/restore notifications.

Returns:
  the global `Context`

### checkpointRestore

public static void checkpointRestore() throws CheckpointException, RestoreException
Requests checkpoint and returns upon a successful restore. May throw an exception if the checkpoint or restore are unsuccessful.

Throws:
  `CheckpointException` - if an exception occured during checkpoint notification and the execution continues in the original Java instance.
  `RestoreException` - if an exception occured during restore notification and execution continues in a new Java instance.
  `UnsupportedOperationException` - if checkpoint/restore is not supported, no notification performed and the execution continues in the original Java instance.